中危 Oracle Java SE Oracle GraalVM Enterprise Edition 输入验证错误漏洞

CVE编号

CVE-2021-35567

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-10-21
漏洞描述
Oracle Java SE和Oracle GraalVM都是美国甲骨文(Oracle)公司的产品。Oracle Java SE是一款用于开发和部署桌面、服务器以及嵌入设备和实时环境中的Java应用程序。Oracle GraalVM是一套使用Java语言编写的即时编译器。该产品支持多种编程语言和执行模式。
Oracle Java SE 的 Oracle GraalVM Enterprise Edition (组件:Libraries)存在输入验证错误漏洞,该漏洞可导致对关键数据的未授权访问或对所有 Oracle GraalVM Enterprise Edition product 数据的完全访问。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://www.oracle.com/security-alerts/cpuoct2021.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 netapp e-series_santricity_os_controller * From
(including)
11.0.0
Up to
(including)
11.50.2
运行在以下环境
应用 netapp e-series_santricity_storage_manager - -
运行在以下环境
应用 netapp e-series_santricity_web_services - -
运行在以下环境
应用 netapp hci_management_node - -
运行在以下环境
应用 netapp oncommand_insight - -
运行在以下环境
应用 netapp santricity_unified_manager - -
运行在以下环境
应用 netapp solidfire - -
运行在以下环境
应用 oracle graalvm 20.3.3 -
运行在以下环境
应用 oracle graalvm 21.2.0 -
运行在以下环境
应用 oracle openjdk 11.0.12 -
运行在以下环境
应用 oracle openjdk 17 -
运行在以下环境
应用 oracle openjdk 8 -
运行在以下环境
系统 alibaba_cloud_linux_2.1903 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.1.al7
运行在以下环境
系统 alpine_3.14 openjdk11 * Up to
(excluding)
11.0.14_p9-r0
运行在以下环境
系统 alpine_3.15 openjdk11 * Up to
(excluding)
17.0.1_p12-r0
运行在以下环境
系统 alpine_3.16 openjdk-8 * Up to
(excluding)
17.0.1_p12-r0
运行在以下环境
系统 alpine_edge openjdk11 * Up to
(excluding)
17.0.1_p12-r0
运行在以下环境
系统 amazon_2 openjdk-8 * Up to
(excluding)
11.0.13+8-1.amzn2
运行在以下环境
系统 amazon_AMI openjdk-8 * Up to
(excluding)
1.8.0-openjdk-debuginfo-1.8.0.312.b07-0.65.amzn1
运行在以下环境
系统 centos_7 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.el7_9
运行在以下环境
系统 centos_8 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.el8_4
运行在以下环境
系统 debian_10 openjdk-8 * Up to
(excluding)
11.0.13+8-1~deb10u1
运行在以下环境
系统 debian_11 openjdk-8 * Up to
(excluding)
11.0.13+8-1~deb11u1
运行在以下环境
系统 debian_12 openjdk-8 * Up to
(including)
11.0.12+7-2
运行在以下环境
系统 debian_9 openjdk-8 * Up to
(excluding)
8u312-b07-1~deb9u1
运行在以下环境
系统 debian_sid openjdk-8 * Up to
(including)
8u302-b08-1
运行在以下环境
系统 fedora_33 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.fc33
运行在以下环境
系统 fedora_34 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.fc34
运行在以下环境
系统 fedora_35 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.fc35
运行在以下环境
系统 fedora_EPEL_7 openjdk-8 * Up to
(excluding)
17.0.1.0.12-1.rolling.el7
运行在以下环境
系统 fedora_EPEL_8 openjdk-8 * Up to
(excluding)
17.0.1.0.12-3.rolling.el8
运行在以下环境
系统 opensuse_Leap_15.2 openjdk-8 * Up to
(excluding)
1.8.0.312-lp152.3.12.1
运行在以下环境
系统 opensuse_Leap_15.3 openjdk-8 * Up to
(excluding)
1.8.0.312-3.18.2
运行在以下环境
系统 oracle_7 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.0.1.el7_9
运行在以下环境
系统 oracle_8 openjdk-8 * Up to
(excluding)
1.8.0.312.b07-1.el8_4
运行在以下环境
系统 redhat_7 java-1.8.0-openjdk * Up to
(excluding)
1:1.8.0.312.b07-1.el7_9
运行在以下环境
系统 redhat_8 openjdk-8 * Up to
(excluding)
11.0.13.0.8-1.el8_4
运行在以下环境
系统 suse_12_SP5 openjdk-8 * Up to
(excluding)
11.0.13.0-3.33.2
运行在以下环境
系统 ubuntu_16.04 openjdk-8 * Up to
(excluding)
8u312-b07-0ubuntu1~16.04
运行在以下环境
系统 ubuntu_18.04 openjdk-8 * Up to
(excluding)
8u312-b07-0ubuntu1~18.04
运行在以下环境
系统 ubuntu_20.04 openjdk-8 * Up to
(excluding)
8u312-b07-0ubuntu1~20.04
运行在以下环境
系统 ubuntu_21.04 openjdk-8 * Up to
(excluding)
8u312-b07-0ubuntu1~21.04
运行在以下环境
系统 ubuntu_21.10 openjdk-8 * Up to
(excluding)
11.0.13+8-0ubuntu1~21.10
阿里云评分
5.2
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
NVD-CWE-noinfo
阿里云安全产品覆盖情况